const ruuvi = require('node-ruuvitag');
const mqtt = require('mqtt');
var mqtt_client  = mqtt.connect('mqtt://localhost:1883')
 
mqtt_client.publish('presence', 'ruuvi-mqtt gateway connected')

var measurement = {id: "", sequence:0, temperature:0.0, humidity:0.0, pressure:0.0, battery:0.0};

ruuvi.on('found', tag => {
  //console.log('Found RuuviTag, id: ' + tag.id);
  tag.on('updated', data => {
    //console.log('Got data from RuuviTag ' + tag.id + ':\n' + JSON.stringify(data, null, '\t'));
    //console.log('temperature (°C): ' + data.temperature);
    //console.log('humidity (%): ' + data.humidity);
	//console.log('pressure (hPa): ' + data.pressure/100);
	//console.log('battery (V): ' + data.battery/1000);
	  measurement.id=tag.id;
	  measurement.temperature=data.temperature;
	  measurement.humidity=data.humidity;
	  measurement.pressure=data.pressure/100;
	  measurement.battery=data.battery/1000;
	  measurement.sequence=data.measurementSequenceNumber;
	  //console.log(JSON.stringify(measurement));
	  mqtt_client.publish('measurement', JSON.stringify(measurement));
  });
});
